/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.scriptcase.db.entity.AtuCaseDataSet;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInfo;
import net.northking.cctp.scriptcase.dto.IdAndStatusDto;
import net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo.PrincipalUpdateDto;
import net.northking.cctp.scriptcase.dto.caseDataSet.AtuCaseScriptQueryDto;
import net.northking.cctp.scriptcase.dto.caseDataSet.AtuCaseScriptResultDto;

import java.util.List;

/**
 * 用例集目录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-26 14:52:39  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuCaseDataSetService extends BasicService<AtuCaseDataSet>
{
    List<AtuCaseDataSet> querySetByName(AtuCaseDataSet dto);

    List<AtuCaseDataSet> queryTreeNode(List<String> list);

    void replaceTreeSet(List<AtuCaseDataSet> setList);

    List<AtuScriptInfo> queryScriptByPath(String parentId);

    List<String> queryByPath(String path);

    Pagination<AtuCaseScriptResultDto> queryCommonNode(QueryByPage<AtuCaseScriptQueryDto> dto);

    Pagination<AtuCaseScriptResultDto> querySceneNode(QueryByPage<AtuCaseScriptQueryDto> dto);

    Integer updatePrincipal(PrincipalUpdateDto dto);

    List<AtuCaseScriptResultDto> queryScriptPage(List<String> list,String setName);

    List<AtuCaseDataSet> queryPlanScriptByPath(String proId, String path);

    List<AtuCaseDataSet> querySetByList(List<String> list);

    AtuCaseDataSet queryAtuCaseDataSetByScriptId(String scriptId);

    List<String> queryScriptIdBySetIdList(List<Object> batch);

    Pagination<AtuCaseScriptResultDto> queryCommonNodeAndSceneNode(QueryByPage<AtuCaseScriptQueryDto> dto);

    List<IdAndStatusDto> picusQueryByScriptIds(List<String> ids);

    List<String> selectManagerByProject(String projectId);

    List<String> selectCreatorByProject(String projectId);

    List<String> selectUpdaterByProject(String projectId);

    /**
     * 用例集管理查询所有用例集 包括一般用力集，场景用例集
     * @param dto
     * @return
     */



}
